body, h1, form, p {
    margin: 0;
    padding: 0;
}
body {
    font-family: 'Cosmopolitan Sans Light', sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f4f4f4;
}
header {
    display: flex;
    align-items: center;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    position: relative; 
}
.logo {
    margin-right: 20px;
}
nav {
    display: flex;
    flex-grow: 1;
}
.nav-links {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
}
.nav-links li {
    position: relative;
    margin-right: 15px;
}
.nav-links a {
    color: #333;
    padding: 10px 15px;
    text-decoration: none;
    display: block;
    transition: opacity 0.3s;
    font-weight: 600;
}
.nav-links a:hover {
    opacity: 0.7;
}
.dropdown-content {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #fff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    min-width: 150px;
    z-index: 1000;
    padding: 10px 0;
    border-radius: 4px;
    transition: opacity 0.3s;
}
.dropdown-content li {
    list-style: none;
}
.dropdown-content li a {
    padding: 10px 15px;
    white-space: nowrap;
    display: block;
    color: #333;
}
.dropdown:hover .dropdown-content {
    display: block;
    opacity: 1;
}
.search-bar-container {
    display: none;
    position: fixed;
    top: calc(60px + 10px); 
    left: 50%;
    transform: translateX(-50%);
    width: 90%; 
    max-width: 1000px; 
    background-color: rgba(255, 255, 255, 0.1); 
    z-index: 1; 
    padding: 15px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    transition: all 0.5s ease-in-out;
    opacity: 0; 
}
.search-bar-container.active {
    display: block;
    opacity: 1; 
}
.search-bar {
    display: flex;
    justify-content: space-between;
    width: 100%; 
    background-color: #fff;
    padding: 1px;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}
#search-input {
    flex-grow: 1;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    outline: none;
    background-color: transparent; 
    transition: border 0.3s ease;
    width: 90%; 
}
#search-input:focus {
    border-color: #007bff;
}
#close-btn {
    padding: 10px 15px;
    background-color: #e74c3c;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
#close-btn:hover {
    background-color: #c0392b;
}
#search-results {
    margin-top: 15px;
    max-width: 800px;
    margin: 15px auto 0;
    background-color: #fff;
    padding: 10px;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    max-height: 300px;
    overflow-y: auto; 
}
#search-results div {
    padding: 10px;
    border-bottom: 1px solid #eee;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
#search-results div:hover {
    background-color: #f1f1f1;
}
.search-active .search-bar-container {
    display: block;
    opacity: 1; 
}
.search-active .main-content {
    filter: blur(5px);
}
.search-active .search-bar-container {
    animation: slide-down 0.5s forwards;
}
#search-icon {
    cursor: pointer;
    width: 24px;
    height: 24px;
    margin-left: 25px; 
}
@keyframes slide-down {
    from {
        transform: translate(-50%, -100%);
    }
    to {
        transform: translate(-50%, 0);
    }
}
.nav-icons {
    display: flex;
    align-items: center;
}

.nav-icons a {
    margin-left: 25px;
}

.nav-icons a img {
    width: 24px;
    height: 24px;
    display: block;
}

h1 {
    margin-bottom: 0px;
}
.login-form {
    display: inline-block;
    text-align: left;
    margin-bottom: 20px;
}
.login-form label {
    display: block;
    margin-bottom: 5px;
}
.login-form input {
    padding: 8px;
    margin-bottom: 15px;
    width: 100%;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 4px;
}
.sign-in-button {
    background-color: black;
    color: #fff;
    border: none;
    padding: 10px 20px;
    border-radius: 4px;
    font-size: 1rem;
    cursor: pointer;
    transition: background-color 0.3s;
}
.sign-in-button:hover {
    background-color: #002244;
}
.forgot-password {
    color: #666;
    text-decoration: none;
    transition: color 0.3s;
    display: inline-block;
    margin-bottom: 20px;
    position: relative;
}
.forgot-password:hover {
    color: black;
}
.forgot-password::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    background: #003366;
    bottom: -5px;
    left: 0;
    transform: scaleX(0);
    transition: transform 0.3s ease;
}
.forgot-password:hover::after {
    transform: scaleX(1);
}

h1{
    line-height: 0%;
}
.create-account-link {
    color: #666;
    margin-bottom: 20px;
}
.create-account-form{
    color: black;
    display: inline-block;
    text-align: left;
    margin-bottom: 20px;
    border: 1px solid black;
    border-radius: 5px;
    text-align: center;
    padding: 20px;
    width: 400px;
    height: 350px;
    box-sizing: border-box;
    margin-top: 3%;
    margin-left: 0%;
    box-shadow: 3px 2px black;
    line-height: 14px;
}

.create-account-link a {
    color: black; 
    text-decoration: none;
    transition: color 0.3s;
}
.create-account-link a:hover {
    color: #002244;
}
.social-login {
    margin-bottom: 20px;
}
.social-login button {
    background-color: transparent;
    border: 1px solid black;
    color: #003366;
    padding: 10px 20px;
    border-radius: 4px;
    font-size: 1rem;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s;
    margin-right: 10px;
}
.social-login button:hover {
    background-color: #003366;
    color: #fff;
}
.return-store {
    color: black; 
    text-decoration: none;
    position: relative;
    display: inline-block;
    padding-bottom: 2px;
    line-height: 2; 
    margin-left: 45%;
}
.return-store::after {
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    display: block;
    background: #003366; 
    transition: width 0.3s;
    left: 0;
    bottom: -2px;
}
.return-store:hover::after {
    width: 100%;
}

h1 {
    margin-top: 0;
    margin-left: 40%;
}
.create-account-form {
    display: inline-block;
    text-align: left;
    margin-left: 35%;
}
.create-account-form label {
    display: block;
    margin-bottom: 5px;
}
.create-account-form input {
    padding: 8px;
    margin-bottom: 15px;
    width: 100%;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 4px;
}
.create-account-button {
    background-color: black;
    color: #fff;
    border: none;
    padding: 10px 20px;
    border-radius: 4px;
    font-size: 1rem;
    cursor: pointer;
    transition: background-color 0.3s;
}
.create-account-button:hover {
    background-color: white;
    color: black;
    border: 1px solid black;
}
.social-login {
    margin-top: 20px;
    margin-left: 36%;
}
.social-login button {
    background-color: transparent;
    border: 1px solid black;
    color: black;
    padding: 10px 20px;
    border-radius: 4px;
    font-size: 1rem;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s;
    margin-right: 10px;
}
.social-login button:hover {
    background-color: black;
    color: #fff;
}